// ignore_for_file: sized_box_for_whitespace

import 'package:flutter/material.dart';
import '../../helper/helper.dart';
import '../../helper/widget/style.dart';

class CustomAppBarConfirm extends StatelessWidget {
  const CustomAppBarConfirm({
    Key? key,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: const EdgeInsets.only(
        top: 15,
        bottom: 19,
        left: paddingLeftRight,
        right: paddingLeftRight,
      ),
      // padding: const EdgeInsets.symmetric(horizontal: paddingLeftRight),
      color: backgroundWhite,
      child: Row(
        // mainAxisAlignment: MainAxisAlignment.start,
        children: [
          GestureDetector(
            onTap: () {
              Navigator.pop(context);
            },
            child: Container(
              width: 24,
              height: 24,
              child: Center(
                child: fontAwesomeNew(
                  arrowBack,
                  arrowBackSize,
                ),
              ),
            ),
          ),
          const SizedBox(
            width: 16,
          ),
          Center(
            child: defaultText(
              context,
              'Konfirmasi Orderan',
              maxLines: 1,
              overFlow: TextOverflow.ellipsis,
              style: appBarNameViewBill(),
            ),
          ),
        ],
      ),
    );
  }
}
